1. Product
Omisell Developer Portal | API Documentation & Integration Guides
  • Authentication
  • Common Errors
  • Overview
    • Introduction
    • Push Mechanism
    • Status overview
    • Accounting - API Call Flow
    • ERP Integration Flow
    • API Rate Limits
    • Guide: Direct Integration
    • MCP Server
    • Pagination
  • Changelog
    • 🔐 API Security Upgrade
    • Orders
    • Returns Order
    • Products
    • Shipments
    • Push mechanism
  • API Refference
    • Location
      • Get Country List
      • Get Province List By Country
      • Get District List By Province
      • Get SubDistrict List By District
    • Product
      • Get Product Category
        GET
      • Get Product List
        GET
      • Add Product
        POST
      • Get Product Detail
        GET
      • Update Product Detail
        PATCH
      • Get Product Detail by SKU
        GET
      • Update Product Detail by SKU
        PATCH
    • Inventory
      • Adjust Stock
      • Delisted Stock
      • Adjust Stock(Old)
    • Serial Number
      • Adjust Serial Number
    • Catalogue
      • Get Catalogue List
      • Get Catalogue Detail
    • Orders
      • Get Order List
      • Add Order
      • Update Document Order
      • Get Order Detail
      • Update Order
      • Cancel Order
      • Get Order Finance
      • Get Returns Receiving Note
      • Get Goods Receipts
    • Returns Order
      • Get Returns Order List
      • Add Order Return
      • Get Return Order Detail
    • Shipments
      • Get Shipment List
      • Add Shipment
      • Update Document Shipment
      • Update Shipment Status
      • Get Shipment Detail
    • Order Dropship
    • Pickup Address
      • Get Pickup List
      • Get WMS Pickup Map
    • Shop
      • Get Shop List
    • Finance
      • Get Order Revenue
      • Get Order Return Revenue
    • Customer
      • Get Customer Review List
    • Public
      • Get Seller by Partner
  • Webhooks
    • Order Status Push
    • Return Order Status Push
    • Shipment Status Push
    • Sale Invoice Request
  • eCommerce Platform
    • PrestaShop
    • Magento
    • Shopify
    • Woocommerce
    • Zalora
  1. Product

Get Product Detail by SKU

GET
/api/v2/public/product/sku/{sku}

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.omisell.com/api/v2/public/product/sku/' \
--header 'Seller-ID;' \
--header 'Country;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
Real response captured from the live API. Personal data replaced with placeholders.
{
    "data": {
        "attributes": [],
        "avatar": null,
        "brand": 1,
        "category_id": null,
        "cost": 0.0,
        "count_linked": 0,
        "created_time": 1784711246.0,
        "currency": "VND",
        "declared_value": 0.0,
        "description": "",
        "eta_of_purchase": 7,
        "images": [],
        "is_active": true,
        "is_bulky": false,
        "is_customize_packaging": 0,
        "is_dropship": false,
        "is_hide_name": false,
        "is_serial_number": 0,
        "last_active_time": 0.0,
        "min_quantity": 0,
        "name": "Sản phẩm Test - KAKA26-TS-FTT-RED-XL",
        "options": [],
        "platforms": [],
        "price_by_2week": 0,
        "sale_price": 100000.0,
        "product_id": 2818082,
        "product_type": "physical",
        "product_validation": "Vui lòng cập nhập danh mục cho sản phẩm",
        "reserved_by_flashsale": 0,
        "sku": "KAKA26-TS-FTT-RED-XL",
        "esku": "ERP-KAKA26-TS-FTT-RED-XL",
        "stock": 0,
        "stock_approve_shipment": 0,
        "stock_buffer": 0,
        "stock_committed": 0,
        "stock_incoming": 0,
        "stock_on_hand": 0,
        "stock_on_shipment": 0,
        "tag": "",
        "tax": null,
        "unit": 75746,
        "unit_name": "Hộp",
        "updated_time": 1784711246.0,
        "value_by_2week": 0,
        "variants": [
            {
                "avatar": null,
                "product_id": 2818083,
                "sku": "KAKA26-TS-FTT-RED-XL-RED",
                "esku": "ERP-KAKA26-TS-FTT-RED-XL-RED",
                "unit_name": "Hộp",
                "name": "Sản phẩm Test - KAKA26-TS-FTT-RED-XL - Red",
                "options": [
                    {
                        "name": "Color",
                        "value": "Red"
                    }
                ],
                "cost": 0.0,
                "sale_price": 100000.0,
                "declared_value": 0.0,
                "tax": null,
                "weight": 100,
                "quantity": 0,
                "images": [],
                "platforms": [],
                "count_linked": 0,
                "is_active": true,
                "is_dropship": false,
                "created_time": 1784711246.0,
                "updated_time": 1784711246.0,
                "last_active_time": 0.0,
                "stock": 0,
                "stock_on_hand": 0,
                "stock_incoming": 0,
                "stock_buffer": 0,
                "stock_committed": 0,
                "stock_on_shipment": 0,
                "stock_approve_shipment": 0,
                "reserved_by_flashsale": 0,
                "value_by_2week": 0,
                "price_by_2week": 0
            }
        ],
        "vendor_id": null,
        "vendor_product_id": null,
        "vendor_product_sku": null,
        "volume": "",
        "weight": 100
    },
    "error": false,
    "error_code": 200,
    "attr_error": null,
    "messages": "",
    "request_id": "6a7e9dcf6ec72e37beb585ae"
}
Modified at 2026-11-03 04:33:06
Previous
Update Product Detail
Next
Update Product Detail by SKU
Built with